%global momorel 1
Name:           gobject-introspection
Version:        1.52.1
Release: %{momorel}m%{?dist}
Summary:        Introspection system for GObject-based libraries

Group:      Development/Libraries
License:        "GPLv2+, LGPLv2+, MIT"
URL:            http://live.gnome.org/GObjectIntrospection
#VCS:           git:git://git.gnome.org/gobject-introspection
Source0:        http://download.gnome.org/sources/gobject-introspection/1.52/%{name}-%{version}.tar.xz
NoSource: 0

Obsoletes:      gir-repository

BuildRequires:  glib2-devel >= 2.52
BuildRequires:  python-devel >= 2.5
BuildRequires:  gettext
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libffi-devel >= 3.2.1
BuildRequires:  mesa-libGL-devel
BuildRequires:  cairo-gobject-devel
BuildRequires:  libxml2-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libX11-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libXft-devel
BuildRequires:  freetype-devel
# Bootstrap requirements
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  gtk-doc
# For doctool
BuildRequires:  python-mako

%description
GObject Introspection can scan C header and source files in order to
generate introspection "typelib" files.  It also provides an API to examine
typelib files, useful for creating language bindings among other
things.

%package devel
Summary: Libraries and headers for gobject-introspection
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
# Not always, but whatever, it's a tiny dep to pull in
Requires: libtool
# For g-ir-doctool
Requires: python-mako
Obsoletes: gir-repository-devel

%description devel
Libraries and headers for gobject-introspection

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;)
%configure --enable-gtk-doc --enable-doctool

make V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Die libtool, die.
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING

%{_libdir}/lib*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_libdir}/lib*.so
%dir %{_libdir}/gobject-introspection
%{_libdir}/gobject-introspection/*
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_bindir}/g-ir-*
%{_datadir}/gir-1.0
%dir %{_datadir}/gobject-introspection-1.0
%{_datadir}/gobject-introspection-1.0/*
%{_datadir}/aclocal/introspection.m4
%{_mandir}/man1/*.bz2
%dir %{_datadir}/gtk-doc/html/gi
%{_datadir}/gtk-doc/html/gi/*

%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.52.1-1m)
- update 1.52.1

* Tue Mar 21 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.52.0-1m)
- update 1.52.0

* Thu Jan 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.50.0-1m)
- update 1.50.0

* Mon Dec 15 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.42.0-3m)
- rebuild against libffi-3.2.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.42.0-2m)
- update to 1.42.0
- reimport from fedora

* Sun May  4 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.40.0-1m)
- update to 1.40.0

* Tue Dec 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.34.2-1m)
- update to 1.34.2

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.34.1-1m)
- update to 1.34.1

* Sat Sep 29 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.34.0-1m)
- update to 1.34.0

* Fri Sep 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.33.14-1m)
- update to 1.33.14

* Thu Sep  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.33.10-1m)
- update to 1.33.10

* Tue Aug 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.33.9-1m)
- update to 1.33.9

* Tue Jul 17 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.33.4-1m)
- update to 1.33.4

* Tue Jun 26 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.33.2-1m)
- update to 1.33.2

* Thu Sep 22 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.30.0-1m)
- update to 1.30.0

* Sat Sep 10 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.29.17-1m)
- update to 1.29.17

* Sat Apr 30 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.8-1m)
- update to 0.10.8

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.7-2m)
- rebuild for new GCC 4.6

* Tue Apr  5 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.7-1m)
- update to 0.10.7

* Sat Apr  2 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.6-1m)
- update to 0.10.6

* Thu Feb 24 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3

* Wed Feb  9 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.12-2m)
- rebuild for new GCC 4.5

* Sun Oct 17 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.12-1m)
- update to 0.9.12

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.10-1m)
- update to 0.9.10

* Wed Sep 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Tue Sep 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
-- disable-gtk-doc (for a while)

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.14-2m)
- full rebuild for mo7 release

* Fri Jun  4 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.14-1m)
- update to 0.6.14

* Sun May 30 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.11-2m)
- add BuildRequires

* Thu May 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.11-1m)
- update to 0.6.11

* Wed Apr 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.10-1m)
- update to 0.6.10

* Fri Mar 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.9-1m)
- update to 0.6.9

* Mon Mar 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.8-1m)
- update to 0.6.8

* Sat Dec 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.7-4m)
- add BuildPrereq: dbus-glib-devel

* Fri Dec 25 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.7-3m)
- add BuildPrereq: gtk-doc >= 1.12

* Tue Dec 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.7-2m)
- enable-gtk-doc

* Thu Dec 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.7-1m)
- update to 0.6.7

* Sat Dec 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.6-1m)
- update to 0.6.6

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.5-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Sep  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.5-1m)
- update to 0.6.5
-- disable-gtk-doc (need gtk-doc 1.2)

* Wed Sep  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- to main

* Sun Aug 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
-- does not support libffi (gcc-libffi)
-- http://sourceware.org/libffi/
-- disable-gtk-doc (need gtk-doc 1.2)
